VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Static Public Attributes
vmware::content::library::StructDefinitions Class Reference

Defines the type descriptors for the top-level types in `com.vmware.content.library` package. More...

List of all members.

## Static Public Attributes
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | itemModel
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | optimizationInfo
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | publishInfo
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | storageBacking
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | subscriptionInfo

## Detailed Description

Defines the type descriptors for the top-level types in `com.vmware.content.library` package.

WARNING: Internal API, subject to change in future versions.

## Member Data Documentation

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::content::library::StructDefinitions::itemModel`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("id", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.IdType("com.vmware.content.library.Item")));
                    fields.Add("library_id", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.IdType("com.vmware.content.Library")));
                    fields.Add("content_version", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.StringType()));
                    fields.Add("creation_time", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.DateTimeType()));
                    fields.Add("description", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.StringType()));
                    fields.Add("last_modified_time", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.DateTimeType()));
                    fields.Add("last_sync_time", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.DateTimeType()));
                    fields.Add("metadata_version", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.StringType()));
                    fields.Add("name", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.StringType()));
                    fields.Add("cached", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.BooleanType()));
                    fields.Add("size", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.IntegerType()));
                    fields.Add("type", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.StringType()));
                    fields.Add("version", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.StringType()));
                    fields.Add("source_id", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.IdType("com.vmware.content.library.Item")));
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    return new vmware.vapi.bindings.type.StructType("com.vmware.content.library.item_model", fields, typeof(vmware.content.library.ItemModel), validators, true, new global::System.Collections.Generic.List<string>(){"id"});
                })

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::content::library::StructDefinitions::optimizationInfo`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("optimize_remote_publishing", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.BooleanType()));
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    return new vmware.vapi.bindings.type.StructType("com.vmware.content.library.optimization_info", fields, typeof(vmware.content.library.OptimizationInfo), validators, false, null);
                })

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::content::library::StructDefinitions::publishInfo`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("authentication_method", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.EnumType(typeof(vmware.content.library.PublishInfo.AuthenticationMethod))));
                    fields.Add("published", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.BooleanType()));
                    fields.Add("publish_url", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.UriType()));
                    fields.Add("user_name", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.StringType()));
                    fields.Add("password", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.SecretType()));
                    fields.Add("persist_json_enabled", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.BooleanType()));
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    return new vmware.vapi.bindings.type.StructType("com.vmware.content.library.publish_info", fields, typeof(vmware.content.library.PublishInfo), validators, false, null);
                })

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::content::library::StructDefinitions::storageBacking`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("type", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.EnumType(typeof(vmware.content.library.StorageBacking.Type))));
                    fields.Add("datastore_id", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.IdType("Datastore")));
                    fields.Add("storage_uri", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.UriType()));
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    validators = new global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator>(1);
                    global::System.Collections.Generic.Dictionary<string, global::System.Collections.Generic.List<vmware.vapi.data.UnionValidator.FieldData>> caseFields =
                        new global::System.Collections.Generic.Dictionary<string, global::System.Collections.Generic.List<vmware.vapi.data.UnionValidator.FieldData>>();
                    caseFields.Add("DATASTORE", new global::System.Collections.Generic.List<vmware.vapi.data.UnionValidator.FieldData>(){new vmware.vapi.data.UnionValidator.FieldData("datastore_id", true)});
                    caseFields.Add("OTHER", new global::System.Collections.Generic.List<vmware.vapi.data.UnionValidator.FieldData>(){new vmware.vapi.data.UnionValidator.FieldData("storage_uri", true)});
                    validators.Add(new vmware.vapi.data.UnionValidator("type", caseFields));
                    return new vmware.vapi.bindings.type.StructType("com.vmware.content.library.storage_backing", fields, typeof(vmware.content.library.StorageBacking), validators, false, null);
                })

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::content::library::StructDefinitions::subscriptionInfo`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("authentication_method", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.EnumType(typeof(vmware.content.library.SubscriptionInfo.AuthenticationMethod))));
                    fields.Add("automatic_sync_enabled", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.BooleanType()));
                    fields.Add("on_demand", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.BooleanType()));
                    fields.Add("password", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.SecretType()));
                    fields.Add("ssl_thumbprint", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.StringType()));
                    fields.Add("subscription_url", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.UriType()));
                    fields.Add("user_name", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.StringType()));
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    return new vmware.vapi.bindings.type.StructType("com.vmware.content.library.subscription_info", fields, typeof(vmware.content.library.SubscriptionInfo), validators, false, null);
                })

The documentation for this class was generated from the following file:

- content/library/StructDefinitions.cs